Subject: Re: Marvell switch port shows LOWERLAYERDOWN, ping fails

From: Andrew Lunn <[email-masked]>
Date: Wed, 28 Jul 2021 20:23:58 +0200

On Wed, Jul 28, 2021 at 11:07:37AM -0700, Dario Alcocer wrote:
> It appears the port link-state issue is caused by the mv88e6xxx switch
> driver. The function mv88e6xxx_mac_config identifies the PHY as internal and
> skips the call to mv88e6xxx_port_setup_mac.
> 
> It does not make sense to me why internal PHY configuration should be
> skipped.

The switch should do the configuration itself for internal PHYs. At
least that works for other switches. What value does CMODE have for
the port? 0xf?

    Andrew